

window.onload = async function() {

    function onResult(frames) {
    }

    const action = document.getElementById("appActionButton");
    action.addEventListener("click",() => {
        chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
            for (let i = 0; i < tabs.length; i++) {
                let tab = tabs[i];
                if (tab) {
                    chrome.scripting.executeScript(
                        {
                            target:{tabId: tab.id},
                            func: () => {
                                var s = document.createElement('script');
                                s.src = chrome.runtime.getURL('/doski-importer.min.js');
                                s.onload = function() { this.remove(); };
                                (document.head || document.documentElement).appendChild(s);
                            }
                        },
                        onResult
                    )

                    let info = document.getElementsByClassName("info")[0];
                    info.style.display = "flex";
                } else {
                    alert("There are no active tabs")
                }
            }
        })
    })

};

